Subject: Re: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Anders Lindgren <[email-masked]>
Date: Sat, 26 Dec 2015 06:01:21 +0100

Hi!

I just ran the tests. However, the resulting log file was too large for
"debbugs" to handle. Is there a way for me to send the file to you using
some other mechanism than mail?

    -- Anders

On Fri, Dec 25, 2015 at 10:56 AM, Michael Albinus <[email-masked]>
wrote:

> Anders Lindgren <[email-masked]> writes:
>
> > Hi!
>
> Hi Anders,
>
> > Test tramp-test29-vc-registered condition:
> >     (error "Running bzr init ....FAILED (status 1)")
> >    FAILED  30/42  tramp-test29-vc-registered
>
> There is a problem in creating a temporary bzr repository. This is not
> related to the test itself; I've committed a patch which shall make the
> test more robust (not fail) in this case.
>
> > Test tramp-test32-utf8 condition:
> >     (ert-test-failed
> >      ((should
> >        (equal
> >       (directory-files tmp-name1 nil directory-files-no-dot-files-regexp)
> >       (sort ... ...)))
> >       :form
> >       (equal
> >        ("套∋＜┠ � 導ｻｱｾｹ� ｼｵ ｩ＞ｿ ｣� " "栖だ≠ｾｿｾｼ ｿｾ ｳｰｻｰ⊆ずｺｵ" "捺ｳｳ讚ｸ謖㍾竜蛻�)
> >        ("套�ヤｵ � 導ｻｱｾｯｱ ｼｵ 巡ｿ ｣� " "栖だ≠ｾｿｾｼ ｿｾ ｳｰｻｰ⊆ずｺｵ" "捺ｳｳ讚ｸ謖㍾竜蛻�))
> >       :value nil :explanation
> >       (list-elt 0
> >               (arrays-of-different-length 33 30 "套∋＜┠ � 導ｻｱｾｹ� ｼｵ ｩ＞ｿ ｣�
> " "套�ヤｵ � 導ｻｱｾｯｱ ｼｵ 巡ｿ ｣� " first-mismatch-at 3))))
> >    FAILED  36/42  tramp-test32-utf8
>
> I have observed, that since my commit
> 0ad27a5aab529d507829c60fa79aad9866f492ab
> from Dec 15, the strings are not encoded properly anymore. Could you pls
> check, whether the following patch (reverting that change) solves this?
> If not, pls send tramp-tests.log, again.
>
> --8<---------------cut here---------------start------------->8---
> *** ~/src/emacs-25/lisp/net/tramp-sh.el.~emacs-25~      2015-12-25
> 10:52:51.759874716 +0100
> --- ~/src/emacs-25/lisp/net/tramp-sh.el 2015-12-25 10:44:28.084420801 +0100
> ***************
> *** 4218,4229 ****
>           (setq cs-encode (cdr cs))
>           (unless cs-decode (setq cs-decode 'undecided))
>           (unless cs-encode (setq cs-encode 'undecided))
> !         (setq cs-encode
> !               (tramp-compat-coding-system-change-eol-conversion
> !                cs-encode
> !                (if (string-match
> !                     "^Darwin" (tramp-get-connection-property vec "uname"
> ""))
> !                    'mac 'unix)))
>           (tramp-send-command vec "echo foo ; echo bar" t)
>           (goto-char (point-min))
>           (when (search-forward "\r" nil t)
> --- 4218,4225 ----
>           (setq cs-encode (cdr cs))
>           (unless cs-decode (setq cs-decode 'undecided))
>           (unless cs-encode (setq cs-encode 'undecided))
> !         (setq cs-encode (tramp-compat-coding-system-change-eol-conversion
> !                          cs-encode 'unix))
>           (tramp-send-command vec "echo foo ; echo bar" t)
>           (goto-char (point-min))
>           (when (search-forward "\r" nil t)
> --8<---------------cut here---------------end--------------->8---
>
> > -- Anders
>
> Best regards, Michael.
>